@import url('https://fonts.googleapis.com/css2?family=Playfair+Display:wght@400;600&family=Poppins:wght@300;600&display=swap');

:root {
    --color-1: #456077;
    --color-2: #ea9900;
    --color-3: #31bf8b;
}

* {
    transition: all .2s ease;
}

body {
    color: var(--color-1);
    font-family: 'Poppins', sans-serif;
}

h1,
p,
input,
label,
textarea,
.btn {
    font-family: 'Poppins', sans-serif;
}

h1 {
    position: relative;
    color: var(--color-1);
    font-weight: bold;
}
h1::before {
    content: '';
    position: absolute;
    bottom: 20px;
    left: -80px;
    height: 1px;
    width: 60px;
    background: var(--color-1);
}

h2,
h3,
h4 {
    margin-bottom: 0.5em;
    font-family: 'Playfair Display', serif;
}

a,
a:hover {
    color: var(--color-1);
}

hr {
    border-color: var(--color-1);
    opacity: 0.5;
}
/* bootstrap */
.btn {
    border: none;
}
.btn-success,
.btn-success:hover {
    background-color: var(--color-3);
}
.btn-primary,
.btn-primary:hover {
    background-color: var(--color-1);
}
.nav-link,
.nav-link:hover {
    color: var(--color-1);
}
.dropdown-toggle::after {
    margin-left: 0.6rem;
}
.dropdown-item,
.dropdown-item:hover {
    color: var(--color-1);
}

/* header */
header {
    box-shadow: 0 0 20px 0px #00000038;
}
.site-title * {
    color: var(--color-1);
}
.site-title i {
    font-size: 30px;
}
.site-title:hover i {
    color: var(--color-3);
}

/* card-add-project */
.card-add-project {
    color: var(--color-3);
    border-color: var(--color-3);
}
.card-add-project i {
    display: flex;
    justify-content: center;
    font-size: 40px;
}
.card-add-project p {
    font-size: 12px;
}
.card-add-project a {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

/* form */
form [type="submit"],
form [type="submit"]:hover {
    background-color: var(--color-1);
    border: none;
}

/* card-project */
.card-project {
    border-color: var(--color-1);
}
.card-project .card-header {
    font-size: 20px;
    color: var(--light);
    background-color: var(--color-1);
    border: none;
}
.card-project .card-header * {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}
.card-project .goal {
    font-size: 40px;
    font-family: 'Playfair Display', serif;
}
.card-project .goal span {
    color: var(--color-2);
    font-size: 50px;
    font-weight: bold;
}
.card-project hr {
    width: 60%;
}
.card-project .author {
    color: var(--color-2);
}
.card-project .date {
    color: var(--color-1);
    font-size: 12px;
    opacity: 0.6;
}
.card-project .make-gift {
    width: 100%;
    position: absolute;
    bottom: -10px;
    left: 0;
}
.card-project.goal,
.card-project.goal hr {
    border-color: var(--color-3);
}
.card-project.goal .card-header {
    background-color: var(--color-3);
}

/* card-gift */
.container-card-gift .card-gift:first-child::before {
    top: 25px;
    height: calc(100% - 25px);
}
.container-card-gift .card-gift:last-child::before {
    height: 25px;
}
.container-card-gift.once .card-gift::before {
    height: 0;
}
.card-gift {
    position: relative;
    padding: 0 0 20px 120px;
}
.card-gift::after {
    content: '';
    position: absolute;
    top: 20px;
    left: 85px;
    width: 12px;
    height: 12px;
    background-color: var(--color-3);
    border-radius: 100%;
}
.card-gift::before {
    content: '';
    position: absolute;
    top: 0;
    left: 90px;
    width: 2px;
    height: 100%;
    background-color: var(--color-1);
}
.card-gift .date {
    position: absolute;
    top: 17px;
    left: 0;
    font-size: 12px;
}
.card-gift .amount {
    color: var(--color-3);
    font-size: 30px;
    font-family: 'Playfair Display';
}

/* pagination */
.pagination > a,
.pagination > span {
    width: 70px;
}
.pagination > div {
    font-size: 20px;
    margin: 0 20px;
}
.pagination > div > * {
    font-size: 20px;
    margin: 0 20px;
}
.pagination > div > .current {
    color: white;
    text-decoration: none;
}
.pagination > div > .current span {
    display: block;
    width: 1.5em;
    height: 1.5em;
    color: white;
    background-color: var(--color-2);
    border-radius: 100%;
}